﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using DocumentWrappedStyleClient.CustomerService;

namespace DocumentWrappedStyleClient
{
   class Program
   {
      static void Main(string[] args)
      {
         CustomerServiceClient clientForOldService = new CustomerServiceClient("BasicHttpBinding_ICustomerService");
         try
         {
            clientForOldService.RegisterCustomer(new Customer
                                                    {
                                                       FirstName = "Szymon",
                                                       LastName = "Pobiega",
                                                       BirthDate = new DateTime(1984, 9, 4),
                                                       NumberOfWidgets = 5,
                                                    });
            clientForOldService.Close();
         }
         catch (Exception)
         {
            clientForOldService.Abort();
            throw;
         }
      }
   }
}
