﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.ServiceModel;
using System.Text;

namespace RPCStyleService
{
   class Program
   {
      static void Main(string[] args)
      {
         ServiceHost rpcServiceHost = new ServiceHost(typeof(RpcService));
         rpcServiceHost.Open();

         Console.WriteLine("RPC/Literal style service 1.0 started.");
         Console.WriteLine("Press <enter> to exit.");
         Console.ReadLine();

         rpcServiceHost.Close();
      }
   }

   [ServiceContract]
   [DataContractFormat(Style = OperationFormatStyle.Rpc)]
   public interface IRpcService
   {
      [OperationContract]
      void RegisterCustomer(string a_strFirstName, string a_strLastName, DateTime a_dtBirthDate, int a_iNumberOfWidgets);
   }

   public class RpcService : IRpcService
   {
      public void RegisterCustomer(string a_strFirstName, string a_strLastName, DateTime a_dtBirthDate, int a_iNumberOfWidgets)
      {
      }
   }
}
