﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net.Security;
using System.ServiceModel;
using System.Text;
using WSHttpBindingDemo.CustomerServiceRef;


namespace WSHttpBindingDemo
{
   class Program
   {
      static void Main(string[] args)
      {         
         InvokeService();         
         //StartService();         
      }

      private static void StartService()
      {
         ServiceHost rpcServiceHost = new ServiceHost(typeof(CustomerService));
         rpcServiceHost.Open();

         Console.WriteLine("Press <enter> to exit.");
         Console.ReadLine();

         rpcServiceHost.Close();
      }      

      private static void InvokeService()
      {
         ServiceHost rpcServiceHost = new ServiceHost(typeof(CustomerService));
         rpcServiceHost.Open();

         CustomerServiceClient clientForOldService = new CustomerServiceClient();
         clientForOldService.RegisterCustomer("Szymon", "Pobiega", new DateTime(1984, 9, 4), 5);
         clientForOldService.Close();

         Console.WriteLine("Press <enter> to exit.");
         Console.ReadLine();

         rpcServiceHost.Close();
      }      
   }

   [ServiceContract(ProtectionLevel = ProtectionLevel.None)]
   public interface ICustomerService
   {
      [OperationContract]
      void RegisterCustomer(string a_strFirstName, string a_strLastName, DateTime a_dtBirthDate, int a_iNumberOfWidgets);
   }

   public class CustomerService : ICustomerService
   {
      public void RegisterCustomer(string a_strFirstName, string a_strLastName, DateTime a_dtBirthDate, int a_iNumberOfWidgets)
      {
      }
   }
}
