﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.ServiceModel;
using System.Text;

namespace DocumentFromParamsStyleService
{
   [ServiceContract]
   public interface ICustomerService
   {
      [OperationContract]
      void RegisterCustomer(string a_strFirstName, string a_strLastName, 
         DateTime a_dtBirthDate, int a_iNumberOfWidgets);
   }

   class Program
   {
      static void Main(string[] args)
      {
         ServiceHost rpcServiceHost = new ServiceHost(typeof(CustomerService));
         rpcServiceHost.Open();

         Console.WriteLine("Document/Literal/Wrapped (from params) style service 1.0 started.");
         Console.WriteLine("Press <enter> to exit.");
         Console.ReadLine();

         rpcServiceHost.Close();
      }
   }   

   public class CustomerService : ICustomerService
   {
      public void RegisterCustomer(string a_strFirstName, string a_strLastName, DateTime a_dtBirthDate, int a_iNumberOfWidgets)
      {
      }
   }
}
